curl --request PUT \
--url https://api.birdeye.com/resources/v1/ticket/{businessNumber}/create-ticket \
--header 'Content-Type: application/json' \
--data '
{
"externalId": 3943351204239963000,
"assignedTo": "pranav.singh@birdeye.com",
"ticketType": "review",
"customer": {
"emailId": "test+4@yopmail.com",
"firstName": "Steve",
"lastName": "Smith",
"location": {
"city": "Dallas",
"state": "Texas"
},
"phone": ""
},
"description": "Issue with the Store service",
"sourceType": "internal"
}
'import requests
url = "https://api.birdeye.com/resources/v1/ticket/{businessNumber}/create-ticket"
payload = {
"externalId": 3943351204239963000,
"assignedTo": "pranav.singh@birdeye.com",
"ticketType": "review",
"customer": {
"emailId": "test+4@yopmail.com",
"firstName": "Steve",
"lastName": "Smith",
"location": {
"city": "Dallas",
"state": "Texas"
},
"phone": ""
},
"description": "Issue with the Store service",
"sourceType": "internal"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: 3943351204239963000,
assignedTo: 'pranav.singh@birdeye.com',
ticketType: 'review',
customer: {
emailId: 'test+4@yopmail.com',
firstName: 'Steve',
lastName: 'Smith',
location: {city: 'Dallas', state: 'Texas'},
phone: ''
},
description: 'Issue with the Store service',
sourceType: 'internal'
})
};
fetch('https://api.birdeye.com/resources/v1/ticket/{businessNumber}/create-ticket', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticketId": 882382
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1175,
"message": "No business found with the given id"
}{
"code": 89,
"message": "Rate limit exceeded"
}Create ticket
Create reviews, untagged, and survey responses tickets.
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Business number of the location on which we want to create a ticket.
Body
EmailId of the user to whom the ticket will be assigned.
Type of ticket you want to create. Possible values:
Public Review Id for which you want to create ticket, Mandatory and applicable for creating review ticket.
Customer details for which ticket is created, Mandatory and applicable for untagged ticket
Show child attributes
Show child attributes
Description of the ticket. Applicable for untagged and survey ticket
Source Type of the ticket. Applicable for untagged ticket Possible values:
Id of the survey for which we want to create a ticket. Applicable for survey ticket
Id of the survey response for which we want to create a ticket. Applicable for survey ticket
If you want to create tickets of survey for particular question and answer. Applicable for survey ticket
Show child attributes
Show child attributes
Response
OK
Id of the new ticket created.
882382